Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.iiop.rmi
Class PrimitiveAnalysis

    java.lang.Object
      org.jboss.iiop.rmi.AbstractAnalysis
          org.jboss.iiop.rmi.ClassAnalysis
              org.jboss.iiop.rmi.PrimitiveAnalysis

public class PrimitiveAnalysis
extends ClassAnalysis

Analysis class for primitive types. Routines here are conforming to the "Java(TM) Language to IDL Mapping Specification", version 1.1 (01-06-07).

Version:
  $Revision: 1.4 $
Author:
  Ole Husgaard

Field Summary
`static PrimitiveAnalysis` | `booleanAnalysis`
`static PrimitiveAnalysis` | `byteAnalysis`
`static PrimitiveAnalysis` | `charAnalysis`
`static PrimitiveAnalysis` | `doubleAnalysis`
`static PrimitiveAnalysis` | `floatAnalysis`
`static PrimitiveAnalysis` | `intAnalysis`
`static PrimitiveAnalysis` | `longAnalysis`
`static PrimitiveAnalysis` | `shortAnalysis`
`static PrimitiveAnalysis` | `voidAnalysis`

Fields inherited from class org.jboss.iiop.rmi.ClassAnalysis
`cls`

Method Summary
`static PrimitiveAnalysis` | `getPrimitiveAnalysis(Class cls)` Get a singleton instance representing one of the peimitive types.

Methods inherited from class org.jboss.iiop.rmi.ClassAnalysis
`getCls, getIDLName, getJavaName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### voidAnalysis

    public static PrimitiveAnalysis voidAnalysis

### booleanAnalysis

    public static PrimitiveAnalysis booleanAnalysis

### charAnalysis

    public static PrimitiveAnalysis charAnalysis

### byteAnalysis

    public static PrimitiveAnalysis byteAnalysis

### shortAnalysis

    public static PrimitiveAnalysis shortAnalysis

### intAnalysis

    public static PrimitiveAnalysis intAnalysis

### longAnalysis

    public static PrimitiveAnalysis longAnalysis

### floatAnalysis

    public static PrimitiveAnalysis floatAnalysis

### doubleAnalysis

    public static PrimitiveAnalysis doubleAnalysis

Method Detail

### getPrimitiveAnalysis

    public static PrimitiveAnalysis getPrimitiveAnalysis(Class cls)

  Get a singleton instance representing one of the peimitive types.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.